glance (2:29.0.0~b2+git2024080717.695fcb67-0ubuntu2) oracular; urgency=medium

  * d/control: Drop python3-migrate from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 13:24:36 +0100

glance (2:29.0.0~b2+git2024080717.695fcb67-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/CVE*.patch: Drop, included in snapshot.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Aug 2024 11:01:39 +0100

glance (2:28.0.1-0ubuntu3) oracular; urgency=medium

  * SECURITY UPDATE: Arbitrary file access via custom QCOW2 external data
    (LP: #2059809)
    - debian/patches/CVE-2024-32498-1.patch: reject qcow files with
      data-file attributes.
    - debian/patches/CVE-2024-32498-2.patch: extend format_inspector for
      QCOW safety.
    - debian/patches/CVE-2024-32498-3.patch: add VMDK safety check.
    - debian/patches/CVE-2024-32498-4.patch: reject unsafe qcow and vmdk
      files.
    - debian/patches/CVE-2024-32498-5.patch: add QED format detection to
      format_inspector.
    - debian/patches/CVE-2024-32498-6.patch: add file format detection to
      format_inspector.
    - debian/patches/CVE-2024-32498-7.patch: add safety check and detection
      support to FI tool.
    - CVE-2024-32498

 -- James Page <james.page@ubuntu.com>  Mon, 24 Jun 2024 09:31:38 +0100

glance (2:28.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 16:55:04 +0100

glance (2:28.0.0~rc1-0ubuntu1) noble; urgency=medium

  [ James Page ]
  * d/watch: Track Caracal series releases.

  [ Jadon Naas ]
  * New upstream release candidate for OpenStack Caracal.

 -- Jadon Naas <jadon.naas@canonical.com>  Fri, 22 Mar 2024 07:58:23 +0000

glance (2:28.0.0~b2+git2024011916.f429b53e-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop ancient Python-Version field.

 -- James Page <james.page@ubuntu.com>  Mon, 22 Jan 2024 13:58:03 +0000

glance (2:27.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:53:22 -0400

glance (2:27.0.0~b2+git2023090714.b059c898-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/p/install-missing-db-files.patch: Install missing db files, including
    glance/db/sqlalchemy/alembic_migrations/alembic.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:17:28 -0400

glance (2:27.0.0~b1+git2023071214.b350184f-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:08:48 -0400

glance (2:27.0.0~b1+git2023061414.43b2116a-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 14:59:29 -0400

glance (2:26.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:28:57 -0400

glance (2:26.0.0~b3+git2023030211.f0371614-0ubuntu2) lunar; urgency=medium

  * d/t/glance-daemons: Bump sleep to 0.5

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Mar 2023 08:36:18 -0500

glance (2:26.0.0~b3+git2023030211.f0371614-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-root-tar-support.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Mar 2023 11:47:40 -0500

glance (2:26.0.0~b2+git2023012815.907c5626-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Sat, 28 Jan 2023 15:45:31 -0500

glance (2:26.0.0~b2+git2023011009.e9b40e13-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:43:49 -0500

glance (2:25.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 25.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 14:33:02 -0400

glance (2:25.0.0~b3+git2022091212.d7db4e562-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 12:42:51 -0400

glance (2:24.1.0+git2022071413.8140abe63-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/glance-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 13:44:15 -0400

glance (2:24.1.0+git2022070708.be9da314e-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Jul 2022 08:47:28 -0400

glance (2:24.0.0+git2022060209.6bd1d14a5-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 09:10:12 -0400

glance (2:24.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 24.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 16:36:07 -0400

glance (2:24.0.0~rc1+git2022030311.d4119be05-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py10-failure.patch: Dropped. Fixed in upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 11:12:09 -0500

glance (2:23.0.0+git2022011216.502fa0ffc-0ubuntu1) jammy; urgency=medium

  * d/glance-common.install, d/glance-api.init.in: Install
    glance-image-import.conf.sample and add --config-dir=/etc/glance/
    to glance-api init script (LP: #1955022).
  * New upstream snapshot for OpenStack Yoga.
  * d/control, d/rules: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 16:47:24 -0500

glance (2:23.0.0+git2021120811.4ee7799aa-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/p/skip-py10-failure.patch: Skip test that is raising different
    exception with Python 3.10.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 11:37:41 -0500

glance (2:23.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 23.x.
  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 15:13:30 +0000

glance (2:23.0.0~b3+git2021091316.d49eaa04c-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/p/add-root-tar-support.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Sep 2021 16:23:37 -0400

glance (2:23.0.0~b2+git2021072116.62334aa4-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:40:48 -0400

glance (2:22.0.0+git2021061112.4f20e500-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:22 +0000

glance (2:22.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 15:02:38 -0400

glance (2:22.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Track the 22.x series and fix path.
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Mar 2021 17:10:24 -0400

glance (2:22.0.0~b2+git2021012915.03bf00ee-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2021 15:31:36 -0500

glance (2:21.0.0+git2020120911.f102b74a-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 11:52:03 -0500

glance (2:21.0.0-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Track the 21.x series.
  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 10:14:02 +0000

glance (2:21.0.0~b3~git2020091515.e16d5c9b-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 15:56:58 -0400

glance (2:21.0.0~b2~git2020073013.cfbe5f76-0ubuntu2) groovy; urgency=medium

  * d/glance-common.postrm: Drop --system from deluser/delgroup calls. This
    aligns with the glance-common.postinst script reserved glance uid/gid
    (LP: #1889846).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Aug 2020 12:39:41 -0400

glance (2:21.0.0~b2~git2020073013.cfbe5f76-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 30 Jul 2020 13:19:26 +0000

glance (2:21.0.0~b1~git2020062909.e6db0b10-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * Align (Build-)Depends with upstream.
  * d/glance-common.install, d/glance-common.manpages: Remove glance-registry bits
    after upstream removal.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 29 Jun 2020 09:45:58 +0000

glance (2:20.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 20.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 13:55:45 -0400

glance (2:20.0.0~b3~git2020041012.d5a0ce18-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/glance-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.
  * d/p/monkey-patch-original-current-thread-active.patch: Dropped. Fixed
    in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 12:58:27 -0400

glance (2:20.0.0~b3~git2020032414.30ece7aa-0ubuntu3) focal; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * d/glance-common.dirs: Ensure /etc/glance/rootrap.d is created
    (LP: #1871889).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 12:19:07 -0400

glance (2:20.0.0~b3~git2020032414.30ece7aa-0ubuntu2) focal; urgency=medium

  * d/tests/test-shebang.py: Dropped. No longer used.
  * d/p/monkey-patch-original-current-thread-active.patch: Cherry-picked from
    https://review.opendev.org/#/c/716058/. This fixes glance service failures
    that autopkgtests are hitting with Python 3.8 (LP: #1863021).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2020 14:41:49 -0400

glance (2:20.0.0~b3~git2020032414.30ece7aa-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/glance-common.install: Drop install of policy.json inline with upstream
    removal.
  * d/glance-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 14:49:34 -0400

glance (2:20.0.0~b2~git2020020509.8649fdc2-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 05 Feb 2020 10:02:14 +0100

glance (2:20.0.0~b1~git2019121610.0c6dd98d-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop. Dropped Python2 support
  * d/rules: Swith to pybuild
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Dec 2019 11:50:39 +0100

glance (2:19.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 10:56:35 -0400

glance (2:19.0.0~rc1-0ubuntu2) eoan; urgency=medium

  * d/tests/control,glance-daemons: Update to use MySQL for autopkgtests
    ensuring coverage for MySQL 8 changes in sqlalchemy (LP: #1846548).
  * d/control: Bump minimum version of sqlalchemy to ensure compatibility
    with MySQL 8.

 -- James Page <james.page@ubuntu.com>  Fri, 04 Oct 2019 10:40:04 +0100

glance (2:19.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Scope to 19.x series.
  * d/p/drop-sphinxcontrib-apidoc.patch: Dropped. No longer needed.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-root-tar-support.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Oct 2019 09:28:58 -0400

glance (2:19.0.0~b2~git2019073017.733095a8-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 17:48:19 +0200

glance (2:19.0.0~b1~git2019061338.b8a34d31-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 14:32:29 +0100

glance (2:18.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 08:50:19 +0100

glance (2:18.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/bump-to-stein.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 16:21:58 +0000

glance (2:18.0.0~b1-0ubuntu1) disco; urgency=medium

  * New release for OpenStack Stein.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 14 Mar 2019 14:21:50 +0000

glance (2:18.0.0~b1~git2019013051.034a4837-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/bump-to-stein.patch: Update current release name to stein to
    resolve unit test failures.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:43:13 +0000

glance (2:18.0.0~b1~git2018111404.d2e62d43-0ubuntu1) disco; urgency=medium

  * d/rules,tests/glance-shebangs-py3: Use python3 for shebangs.
  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,glance-registry.*: Drop glance-registry package as due
    for removal this cycle.
  * d/control,python3-glance.postinst: Prefer Python 3 module for default
    installations.
  * d/control,rules,python*: Drop Python 2 support.
  * d/tests/*: Update for Python 3 only.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:52:09 +0000

glance (2:18.0.0~b1~git20181108.97dac0f3-0ubuntu1) disco; urgency=medium

  * d/control: Drop X-Python3-Version, which avoided 3.7 support, for Stein.
  * d/watch: Scope to 18.x series.
  * New upstream snapshot for OpenStack Stein.
  * d/p/handle-StopIteration.patch: Dropped. No longer needed.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Nov 2018 11:40:19 -0500

glance (2:17.0.0-0ubuntu5) disco; urgency=medium

  * d/tests/glance-shebangs-py3: Update shebang for Python 3.7.
  * d/rules: Enable Python 3.7 unit tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:54:01 -0500

glance (2:17.0.0-0ubuntu4) cosmic; urgency=medium

  * d/control: Set X-Python3-Version: >= 3.5, << 3.7 avoiding compilation
    on install for Python 3.7 as glance contains a module named async
    which conflicts with the new async keyword in Python 3.7; this is
    resolved in the next major glance release.

 -- James Page <james.page@ubuntu.com>  Tue, 02 Oct 2018 17:34:42 +0100

glance (2:17.0.0-0ubuntu3) cosmic; urgency=medium

  * d/tests/glance-daemons: Increase timeout before curl as arm64 tests
    are timing out.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Sep 2018 10:43:33 -0400

glance (2:17.0.0-0ubuntu2) cosmic; urgency=medium

  * d/tests/control: Add curl to Depends to fix arm64/armhf failures.
  * d/tests/glance-daemons: Add final curl call without --fail option
    to ensure it doesn't fail silently.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 04 Sep 2018 12:54:07 -0400

glance (2:17.0.0-0ubuntu1) cosmic; urgency=medium

  * d/control: Switch Depends on ${source:Version} to ${binary:Version}.
  * d/control: Drop old Replaces.
  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:22:09 -0400

glance (2:17.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * d/tests/glance-daemons: Refactor to include timeout loop for curl command.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Aug 2018 15:40:43 -0400

glance (2:17.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 15:18:59 -0400

glance (2:17.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * d/p/handle-StopIteration.patch: Align with latest upstream patch.
  * d/p/rename-async-package.patch: Drop until it gets a good review upstream.
  * New upstream milestone for OpenStack Rocky.
  * d/rules: Skip Py3.7 tests until they run successfully upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 15:15:01 -0400

glance (2:17.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-glance package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-glance Depends.
    - d/control, d/rules, d/*.dirs, d/*.install, d/*.manpages: Move common files
      to glance-common and have python(3)-glance depend on it.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Run tests with pkgos-dh_auto_test.
    - d/python-glance.install: Drop, not needed.
    - d/glance-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-glance.post*, d/python(3)-glance.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for glance daemons and add shebang tests.
    - d/tests/glance-daemons: Use curl to test API.
    - d/p/rename-async-package.patch: Rename async package to avoid Py3.7
      keyword conflict.
    - d/p/handle-StopIteration.patch: Handle StopIteration for Py3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jul 2018 21:34:11 -0400

glance (2:17.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 13:23:10 -0400

glance (2:17.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 17.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/control, d/copyright: Use https URLs.
  * d/control: Drop obsolete XS-Testsuite: autopkgtest header.
  * d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 May 2018 13:58:53 -0400

glance (2:16.0.1-0ubuntu2) cosmic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1767128).
  * d/p/add-root-tar-support.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 15:11:30 -0400

glance (2:16.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 13:46:27 -0500

glance (2:16.0.0~rc3-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens (LP: #1750705).

 -- James Page <james.page@ubuntu.com>  Thu, 22 Feb 2018 14:46:15 +0000

glance (2:16.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 12:51:43 -0500

glance (2:16.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.
  * d/control: Add defusedxml to (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Feb 2018 11:39:19 +0000

glance (2:16.0.0~b2-0ubuntu2) bionic; urgency=medium

  * d/glance-common.postinst: Use reserved uid/gid for glance user/group,
    ensuring consistency across deployments (LP: #1657202).
  * d/glance-common.install,rules: Skip install of rootwrap.conf as this
    is also shipped in glance-store.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Dec 2017 15:21:39 +0000

glance (2:16.0.0~b2-0ubuntu1) bionic; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/add-root-tar-support.patch: Rebased.
  * d/control: Drop back to python-os-testr 0.8.0 for now.

  [ James Page ]
  * d/*.install: Install configuration files from usr/etc/glance.
  * d/watch: Scope to 16.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/rules,control: Set defaults using crudini.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 10:25:01 +0000

glance (2:15.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:19:49 -0400

glance (2:15.0.0~rc2-0ubuntu2) artful; urgency=medium

  * d/glance-api.postinst, d/glance-registry.postinst: Drop db sync
    commands (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 10:54:14 -0400

glance (2:15.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:06:06 -0400

glance (2:15.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/update-doc-paths.patch: Dropped. Fixed upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 15:05:32 -0400

glance (2:15.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:29 -0400

glance (2:15.0.0~b3-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * d/glance-common.install: Install glance-wsgi-api.
  * New upstream snapshot.
  * d/p/*: Refresh.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/update-doc-paths.patch: Align paths for man pages with recent
    upstream changes that moved the files.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 14:52:11 -0400

glance (2:15.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:07:07 +0100

glance (2:15.0.0~b1-0ubuntu3) artful; urgency=medium

  * d/glance-common.postinst: Fix permissions on /etc/glance so that
    the glance user can actually access the directory.

 -- James Page <james.page@ubuntu.com>  Tue, 02 May 2017 21:17:44 -0400

glance (2:15.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:01:45 +0100

glance (2:15.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/glance-common.postinst: Make sure the permissions on /etc/glance is
    set to 0700. (LP: #1675088) 
  * d/pydist-overrides: Removed since packages listed no longer applied.
  * d/patches/sql_connection.patch, d/rules: Do glance configuration by using
    pkgos-fix-config-default so we do not patch the configuration files.
    Dropped patch.
  * d/patches/skip-online-tests.patch: Dropped since the unit tests 
    do not try to call out anymore.
  * d/patches/skip-tests.patch: Dropped no longer needed.
  * d/control, d/glance-glare.init.in, d/glance-glare.install: Remove glare
    since it has become its own project.

  [ James Page ]
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 17:19:09 +0100

glance (2:14.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 09:50:44 -0500

glance (2:14.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 10:38:15 -0500

glance (2:14.0.0~b3-0ubuntu1) zesty; urgency=medium

  * d/p/skip-tests-for-location-add-replace-on-queued.patch: Dropped
    no longer needed. 
  * d/p/add-root-tar-support.patch: Refreshed.
  * New upstream release. 
  * Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 14:20:17 -0500

glance (2:14.0.0~b2-0ubuntu2) zesty; urgency=medium

  * d/p/skip-tests-for-location-add-replace-on-queued.patch: Cherry-picked
    from upstream master to skip two tests hitting webob.exc.HTTPBadRequest.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Dec 2016 08:04:47 -0500

glance (2:14.0.0~b2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-root-tar-support.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:13:46 -0500

glance (2:14.0.0~b1-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/patches/skip-online-tests.patch: Rediffed

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Ocata.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Nov 2016 07:41:37 -0500

glance (2:13.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for Openstack Netwon.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Oct 2016 10:26:15 -0400

glance (2:13.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).
  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Oct 2016 10:55:18 -0400

glance (2:13.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Sep 2016 08:57:46 -0400

glance (2:13.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/p/*: Rebased.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/control: Add python-pep8 to BDs.

  [ James Page ]
  * New upstream release.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 14:01:44 +0100

glance (2:13.0.0~b2-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 13:47:44 -0400

glance (2:13.0.0~b1-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/p/drop-sphinx-git.patch: Dropped, no longer required.
  * d/p/*: Refresh.
  * Align (Build-)Depends with upstream.
  * d/rules,control: Switch to using os-testr for unit test execution.
  * d/glance-registry.manpages: Add manpage for glance-replicator.
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jun 2016 15:36:47 +0100

glance (2:12.0.0-0ubuntu2) xenial; urgency=medium

  *  debian/patches/add-root-tar-support.patch: Add support for 
     root-tar images for backwards compatiblity for nova-lxd 
     (LP: #1569289).

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 13 Apr 2016 10:13:40 -0400

glance (2:12.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 12:07:24 -0400

glance (2:12.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:08:03 -0400

glance (2:12.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinx-git.patch, d/control: Drop use of git from sphinx config.
  * d/p/skip-test.patch: Skip failing test with upstream bug.
  * d/control, d/glance-glare.*: Add install/init files for glance artifacts api.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2016 10:39:49 -0500

glance (2:12.0.0~b2-0ubuntu1) xenial; urgency=medium

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-online-tests.patch: Rebased.

  [ Corey Bryant ]
  * d/control: Set min version of python-glance-store 0.10.0 to fix tests.
  * d/control: Add git dependency to build-depends for sphinx-build.
  * d/glance-common.install: Drop install of usr/bin/glance-artifacts as
    entry point no longer exists in glance.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2016 11:43:25 +0100

glance (2:12.0.0~b1-0ubuntu1) xenial; urgency=medium

  * d/tests/glance-daemons: Give daemon 5 seconds to start to prevent race.
  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-online-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Dec 2015 14:01:11 -0500

glance (2:11.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:42:51 -0400

glance (2:11.0.0~rc3-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Oct 2015 10:28:55 -0400

glance (2:11.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/p/skip-online-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Oct 2015 12:17:22 -0400

glance (2:11.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update to cope with upstream rc versioning.
  * New upstream release candidate for OpenStack Liberty.
  * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
  * d/control: Bump minimum pbr version to 1.8.
  * d/control: Align dependencies with upstream.
  * d/sql_conn.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Sep 2015 15:16:19 -0400

glance (2:11.0.0~b3-0ubuntu2) wily; urgency=medium

  * d/glance-common.install: Drop install of glance-index and glance-search,
    no longer provided.
  * d/glance-api.install: Generalize metadef install, use installed sources.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Sep 2015 12:01:10 +0100

glance (2:11.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-glance-search-tests.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:51:40 -0400

glance (2:11.0.0~b2-0ubuntu2) wily; urgency=medium

  [ Gauvain Pocentek ]
  * d/glance-api.install: install the metadata definitions (LP: #1477170).
  * d/glance-api.postinst: run "glance-manage db_load_metadefs" if the
    default sqlite database is configured.

  [ James Page ]
  * d/glance-common.install: Install glance-manage.conf configuration file
    (LP: #1436953).
  * d/*: wrap-and-sort.

 -- Gauvain Pocentek <gauvain.pocentek@objectif-libre.com>  Wed, 02 Sep 2015 11:58:15 +0100

glance (2:11.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty (LP: #1488094).
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-dupe-uc-sqlite.patch: Dropped. Fixed upstream.
  * d/p/skip-glance-search-tests.patch: Rebased.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Sep 2015 11:04:16 +0100

glance (2:11.0.0~b1-0ubuntu3) wily; urgency=medium

  * d/p/fix-dupe-uc-sqlite.patch: Cherry pick fix from upstream VCS to
    resolve compatilibity with SQLAlchemy >= 1.0.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 10:50:51 +0100

glance (2:11.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/p/skip-online-tests.patch: Skip any tests that require access to
    online resources not accessible in Ubuntu buildds.

 -- James Page <james.page@ubuntu.com>  Wed, 08 Jul 2015 22:26:59 +0100

glance (2:11.0.0~b1-0ubuntu1) wily; urgency=medium

  * New milestone for OpenStack liberty.
  * Align (Build-)Depends with upstream.
  * d/p/skip-glance-search-tests.patch: Skip glance search tests if
    elasticsearch is not installed.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Jun 2015 14:47:37 +0100

glance (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2015 15:38:08 +0200

glance (1:2015.1~rc1-0ubuntu2) vivid; urgency=medium

  * New upstream milesone release: 
    - d/control: Align versions with upstream.
    - d/p/*: Refresh.
    - d/g/glance-common.install: Add glance-index and glance-search
      binaries.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 13:54:35 -0400

glance (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release for OpenStack Kilo:
    - d/p/*: Refresh.
    - d/control: Align versions with upstream.
    - d/control: Add new dependencies on oslo-log, oslo-policy, taskflow,
      semantic-version, drop dependency on boto.
    - d/p/skip-online-tests.patch: Add some new tests that require online
      connectivity.
    - d/p/fixup-requirements.patch: Fixup broken upper version definition
      for oslo-policy.
  * d/rules: Trim back tests to just unit tests (skipping functional and
    integration for now).
  * d/pydist-overrides: Add overrides for oslo packages.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:09:56 +0100

glance (1:2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/fix-requirements.patch: Rebased.
    - d/p/skip-online-tests.patch: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Feb 2015 09:13:34 -0500

glance (1:2015.1~b1-0ubuntu3) vivid; urgency=medium

  * Rebuild to pick up pkgos upstart generation fix.
    - d/control: Bump openstack-pkg-tools to ensure upstart fix inclusion.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jan 2015 16:22:48 +0000

glance (1:2015.1~b1-0ubuntu2) vivid; urgency=medium

  [ Corey Bryant ]
  * Systemd enablement:
    - d/control: Add dh-systemd and openstack-pkg-tools to BD's.
    - d/rules: Enable use of pkgos, tidyup generated init files.
    - d/*.init.in: Cherry pick *.init files from Debian glance package
      and adapt to templates.
    - d/*.upstart: Drop in preference to generated files.
  * d/control,compat: Bump debhelper compat level to 9.
  * d/*.logrotate,glance-common.logrotate: Move to single logrotate
    configuration.
  * d/glance-common.postinst: Use default permissions for /etc/glance.
  * d/python-glance-doc.links: Change permissions to 664.

  [ James Page ]
  * d/*: Fixup incorrect permissions on files.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jan 2015 11:08:13 -0500

glance (1:2015.1~b1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Open for Vivid.
  * debian/control: Update bzr branches. 
  * debian/control: Add python-oslo.utils and python-oslo.serialization,
    and python-oslotest.
  * debian/patches/skip-online-tests.patch: Refreshed.
  * debian/patches/fix-requirements.patch: Refreshed.
  * debian/patches/ipv6-support.patch: Refreshed.

  [ Corey Bryant ]
  * New upstream release
    - d/control: Align requirements with upstream.
    - d/watch: Update uversionmangle for kilo beta naming.
    - d/p/fix-requirements.patch: Refreshed.
    - d/p/ipv6-support.patch: Dropped. Merge committed upstream:
      https://review.openstack.org/#/c/101079/
  * d/control: Bumped Standards-Version to 3.9.6.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Jan 2015 13:06:09 -0500

glance (1:2014.2-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Oct 2014 15:26:42 +0100

glance (1:2014.2~rc3-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * New upstream release candidate:
    - /d/p/sql_conn.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Oct 2014 11:29:34 -0400

glance (1:2014.2~rc2-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate:
    - d/p/*: Refresh.
  * d/watch: Only match versions starting with digits.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Oct 2014 19:37:24 +0100

glance (1:2014.2~rc1-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate:
    - d/p/skip-tests.patch: Dropped, no longer required.
    - d/control: Add python-glance-store to dependencies.
    - d/control: Add dependency on python-keystonemiddleware.
    - d/control: Align versioned depends with upstream.
    - d/p/fix-requirements.patch: Sort out some requirements mismatches
      which cause test failures due to pbr checking.
    - d/p/skip-online-tests.patch: Skip a number of tests that assume
      general internet connectivity.
  * d/watch: Use tarballs.openstack.org for upstream releases.
  * d/rules: Sort out issue with streaming of testr results using subunit
    to ensure that any test failures result in a FTBFS.
  * d/p/ipv6-support.patch: Cherry pick proposed fix to resolve IPv6
    compatiblity issues in glance (LP: #1331885).

 -- James Page <james.page@ubuntu.com>  Fri, 03 Oct 2014 12:06:38 +0100

glance (1:2014.2~b3-0ubuntu3) utopic; urgency=medium

  * debian/control: Fix typos. 
  * debian/pydist-overrides; Add orderdict to overides.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 12 Sep 2014 09:00:42 -0400

glance (1:2014.2~b3-0ubuntu2) utopic; urgency=medium

  * debian/patches/fix-requirements.patch: Drop orderdict requirement.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 11 Sep 2014 10:32:40 -0400

glance (1:2014.2~b3-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/patches/fix-requirements.patch: Drop orderrict requirement,
    seems to be required for python 2.6.
  * debian/control: Add python-osprofiler
  * debian/control: Add python-wsme

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 06 Aug 2014 15:10:23 -0400

glance (1:2014.2~b2-0ubuntu1) utopic; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * debian/control: Add python-posix-ipc as a build dependency.
  * debian/control: Add python-retrying as a build dependnecy.
  * debian/control: Add python-oslo.il8n as a build dependency.
  * debian/patches/skip-api-test.patch: Dropped no longer needed.
  * debian/patches/skip-tests.patch: Rediffed.
  * debina/control: Add python-oslo.db.

  [ Liam Young ]
  * debian/control: Merged in deps from requirements.txt 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Jul 2014 16:15:46 -0400

glance (1:2014.2~b1-0ubuntu2) utopic; urgency=medium

  * debian/patches/skip-api-test.patch: Skip test that fails on the buildds. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Jun 2014 13:10:19 -0400

glance (1:2014.2~b1-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Open up juno release

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Jun 2014 11:37:14 -0400

glance (1:2014.1-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1299055).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Apr 2014 13:07:26 -0400

glance (1:2014.1~rc2-0ubuntu1) trusty; urgency=medium

   [ Chuck Short ]
   * New upstream release candidate (LP: #1299055).
   * debian/patches/sql_conn.patch: Refreshed.
   * debian/glance-api.install: Install missing schema.json file.
     (LP: #1307518)

  [ Thomas Bechtold ]
  * debian/glance-common.postinst: Set correct owner/group for /var/lib/glance
    and subdirs only on local filesystems (LP: #1302044).

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 12 Apr 2014 08:45:20 -0400

glance (1:2014.1~rc1-0ubuntu1) trusty; urgency=medium

  [ James Page ]
  * d/glance-common.postinst: Don't recursively set permissions on
    /var/lib/glance as it might not be a local filesystem (LP: #1214947).

  [ Chuck Short ]
  * debian/control: Use python-oslosphinx.
  * debian/patches/use-oslo.sphinx.patch: Dropped no longer needed.

  [ Corey Bryant ]
  * New upstream release (LP: #1299055).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Apr 2014 16:57:09 -0400

glance (1:2014.1~b3-0ubuntu2) trusty; urgency=medium

  * d/glance-registry.postinst: Tidy detection of the default sqlite
    connection when running db_sync (LP: #1290423). 

 -- James Page <james.page@ubuntu.com>  Thu, 13 Mar 2014 10:38:35 +0000

glance (1:2014.1~b3-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/patches/bump-sqlalchemy-versions.patch: Dropped no longer needed.
  * debian/patches/disable-network-for-docs.patch: Dropped no longer needed.
  * debian/patches/use-oslo.sphinx.patch: Use oslo.sphinx for the namespace.
  * debian/control:
    - Dropped python-nose as a build dependency.
    - Add testrepository as a build dependency.
    - Add python-suds as a build dependency.
    - Add python-oslo.vmware as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Mar 2014 12:54:54 -0500

glance (1:2014.1~b2-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * debian/control: Add python-psutil as a build dependency.
  * debian/patches/skip-tests.patch: Rediffed.
  * debian/patches/debian/patches/ensure_versioned_db_models.patch:
    Removed crufty patch.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 23 Jan 2014 13:09:00 -0500

glance (1:2014.1~b1-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/control: 
    - Open icehouse release.
    - Add python-oslo.messaging dependency.
  * debian/patches/skip-patches: Refreshed.
  * debian/rules: Refactored doc creation.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Dec 2013 13:10:01 -0500

glance (1:2013.2-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1236462).

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Oct 2013 10:11:10 -0400

glance (1:2013.2~rc2-0ubuntu1) saucy; urgency=low

  * New upstream release candidate.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Oct 2013 09:50:59 -0400

glance (1:2013.2~rc1-0ubuntu2) saucy; urgency=low

  [ Chuck Short ]
  * debian/rules: Run the full testsuite using the upstream wrapper including
    functional tests for glance, also fixes test failures on Ubuntu 12.04 with
    Havana Cloud Archive (LP: #1236376).

 -- James Page <james.page@ubuntu.com>  Tue, 08 Oct 2013 13:55:49 +0100

glance (1:2013.2~rc1-0ubuntu1) saucy; urgency=low

  * New upstream version.
  * debian/control:
    - Added dependency for python-pbr, python-six, and python-d21 explicitly.
    - Add versioned dependency for python-anyjson, python-greenlet,
      python-boto, python-eventlet, python-kombu, python-oslo.config,
      python-crypto,python-webob, python-swiftclient, python-jsonschema,
      python-keystoneclient, python-requests,
      python-fixtures, python-testtools,
    - Bump versioned depependency for python-sqlalchemy.
    - Dropped python-argparse, python-dateutil, python-setuptools,
      python-requests, python-d2to1, python-keystone python-xattr from
      binary dependencies.
    - Renamed python-oslo-config to python-oslo.config and added versioned
      dependency.
    - Dropped versioned dependency from httplib2.
  * debian/rules: Re-enable testsuite.
  * debian/patches/skip-tests.patch: Skip tests that fail in the buildds.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 02 Oct 2013 13:10:52 -0400

glance (1:2013.2~b3-0ubuntu1) saucy; urgency=low

  [ Chuck Short ]
  * New upstream release. 
  * debian/control: Add python-oslo.sphinx as a build 
    dependency.

  [ James Page ]
  * d/p/*: Refreshed patches.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 08 Sep 2013 21:03:21 -0400

glance (1:2013.2~b2-0ubuntu2) saucy; urgency=low

  * d/p/bump-sqlalchemy-versions.patch: Include 0.8.x of SQLAlchemy as
    a supported version.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jul 2013 08:26:23 +0100

glance (1:2013.2~b2-0ubuntu1) saucy; urgency=low

  [ Yolanda Robla ]
  * debian/tests: added autopkgtests

  [ James Page ]
  * New upstream release.
  * d/control: Update VCS fields for new branch locations.
  * d/control: Drop BD on pep8, not required.
  * d/control: Add missing BD's on python-greenlet and python-cinderclient.
  * d/control: Bumped Standards-Version 3.9.4:
    - d/copyright: Use released version of DEP-5, tidy fields for new
      names.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jul 2013 16:05:21 +0100

glance (1:2013.2~b1-0ubuntu2) saucy; urgency=low

  * Depend on python-oslo.config instead of python-oslo-config.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 06 Jul 2013 15:33:59 -0600

glance (1:2013.2~b1-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control: Add python-openssl as a build-depends. 
  * debian/patches/fix-nosetests-path.patch: No longer needed.
  * debian/rules: Temporarily disable tests.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 31 May 2013 08:17:08 -0500

glance (1:2013.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/patches/fix-ubuntu-testing.patch: Dropped no longer needed. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 04 Apr 2013 13:24:42 -0500

glance (1:2013.1~rc1-0ubuntu2) raring; urgency=low

  * debian/patches/fix-ubuntu-tests.patch: Add configuration change
    to allow testsuite to finish on Ubuntu buildds. (LP: #1158247) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Mar 2013 10:55:03 -0500

glance (1:2013.1~rc1-0ubuntu1) raring; urgency=low

  [ James Page ]
  * d/watch: Update uversionmangle to deal with upstream versioning
    changes, remove tarballs.openstack.org.

  [ Chuck Short ]
  * New upstrem release
  * debian/control: Clean up build-dependencies:
    - Drop python-argparse referenced in pydist-overrides
    - Drop python-swift no longer needed.
    - Drop python-dateutils no longer needed.
    - Drop python-glacneclient no longer needed.
    - Added python-anyjson to build-depends.
    - Use python-keystoneclient instead of python-keystone.
    - Added python-lxml to build-depends.
    - Added python-swiftclientto build-depends.
    - Added python-passlib to build-depends.
  * debian/rules: Set the PYTHONPATH for the tests.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 20 Mar 2013 07:42:22 -0500

glance (2013.1.g3-0ubuntu1) raring; urgency=low

  [ James Page ]
  * d/control: Add python-fixtures and python-testtools to BD's.
  * d/control: Drop Vcs-* fields as they are no longer relevant.

  [ Chuck Short ]
  * New usptream release
  * debian/control: Add python-oslo-config.
  * debian/rules: Use python setup.py tests to run the tests.
  * debian/patches/fix-nosetests-path.patch: Specify the path to glance/tests
    so we dont get errors when trying to run the testsuite.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Feb 2013 09:08:06 -0600

glance (2013.1~g2-0ubuntu1) raring; urgency=low

  [ James Page ]
  * New upstream release.
  * Re-enable gating of package build based on unit test success:
    - d/rules: Enable build failure on unit testing failure, scope
      test execution to glance/tests.
  * Switched upstart configurations to use start-stop-daemon instead of su.
  * General package tidy:
    - d/control: Drop glance-client package.
    - d/control: Drop BD on python-dev-all.
    - Wrapped and sorted.

  [ Adam Gandelman ]
  * debian/*.manpages: Install Sphinx-generated manpages for binaries
    installed by glance-common, glance-registry, and glance-api.

  [ Yolanda Robla Mota ]
  * Updated package version

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Jan 2013 08:05:41 -0600

glance (2013.1~g1-0ubuntu1) raring; urgency=low

  [ Adam Gandelman ]
  * debian/patches/*: Refreshed for opening of Grizzly.

  [ Chuck Short ]
  * debian/glance-client.install: Dropped
  * New upstream version
  * debian/rules: FTBFS if there are missing binaries
  * debian/glance-registry.install: Add glance-replicator
  * debian/patches/disable-swift-tests.patch: Dropped.

  [ Yolanda Robla ]
  * debian/rules: FTBFS if tests are run, force to skip them.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 23 Nov 2012 10:09:59 -0600

glance (2012.2-0ubuntu2) quantal-proposed; urgency=low

  * Glance should suggest python-ceph, not ceph-common (LP: #1065903):
    - debian/control: glance Suggests: ceph-common -> python-ceph. 

 -- James Page <james.page@ubuntu.com>  Fri, 12 Oct 2012 15:43:54 +0100

glance (2012.2-0ubuntu1) quantal; urgency=low

  * debian/control: Clean-up python depends. Thanks to Sam Morrison.
    (LP: #1053790)
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Sep 2012 13:05:21 -0500

glance (2012.2~rc3-0ubuntu1) quantal; urgency=low

  * New usptream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 26 Sep 2012 12:37:00 -0500

glance (2012.2~rc2-0ubuntu1) quantal; urgency=low

  * debian/control: Suggest ceph-common.
  * debian/control: Add python-glanceclient as a build depends.
  * New upstream release.
  * debian/patches/disable-swift-tests.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 26 Sep 2012 12:32:50 -0500

glance (2012.2~rc1-0ubuntu1) quantal; urgency=low

  * New upstrem release.
  * debian/glance.logrotate: compress right logfiles when rotating them.
    (LP: #1049314) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 17 Sep 2012 07:44:11 -0500

glance (2012.2~rc1~20120907.129.f0bd856-0ubuntu1) quantal; urgency=low

  [ Chuck Short ]
  * New upstream version.
  * drop debian/patches/fix-docs-build.patch. 
  * debian/rules: Re-activate tests.
  * debain/control: Add depends on python-swiftclient.
  * debian/*.usptart: make glance start from runlevel 1 to runlevel
    2. (LP: #820688)

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * New snapshot.
  * Refresh disable-network-for-docs.patch
  * Fix Launchpad URLs in debian/watch.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Sep 2012 12:17:46 -0500

glance (2012.2~f3-0ubuntu1) quantal; urgency=low

  [ Adam Gandleman ]
  * debian/patches/sql_conn.patch: Also set default sqlite path for
    in glance-api.conf. (LP: #1028711)
  * debian/patches/fix-docs-build.patch: Fix docs build

  [ Chuck Short ]
  * New upstream version.
  * debian/control: python-xattr is no longer a required depends.
    (LP: #1031396)
  * debian/control: Move python-jsonschema to glance.
    (LP: #1030152)
  * debian/control: Start the slow transition to python-glanceclient.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Aug 2012 13:58:32 -0500

glance (2012.2~f2-0ubuntu1) quantal; urgency=low

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 11:13:13 -0400

glance (2012.2~f2~20120621.1644-0ubuntu1) quantal; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/glance-reigstry.logrotate: Rotate the right logfile. (LP: #1009996)
  * debian/control: Fix short description of glance-client. (LP: #982658)
  * debian/pydist-overrides: Add argparse and python_swiftclient.

  [ Adam Gandelman ]
  * debian/glance-api.install: Remove glance-{scrubber, cache}-paste.ini.
  * debian/patches/ensure_versioned_db_models.patch: Disable while database
    related code changes settle upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Jun 2012 09:18:07 -0400

glance (2012.2~f2~20120531.1560-0ubuntu2) quantal; urgency=low

  * debian/patches/ensure_versioned_db_models.patch: Refresh.
  * debian/patches/disable-swift-tests.patch: Refresh.
  * debian/control: Re-enable python-jsonchema Dependency now that it has
    landed in main.

 -- Adam Gandelman <adamg@canonical.com>  Tue, 05 Jun 2012 10:53:30 -0700

glance (2012.2~f2~20120531.1560-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 01 Jun 2012 10:56:09 -0400

glance (2012.2~f2~20120524.1541-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/patches/ensure_versioned_db_models.patch: Check for valid
    db models+schema at service start, and ensure db is version controlled
    before running all migrations.
  * debian/{control, pydist-overrides}: *Temporarily* disable non-main
    dependencies pending MIRs
  * debian/rules: *Temporarily* disable tests until new dependencies are
    satisfied

  [ Chuck Short ]
  * New upstream version.
  * Prepare for quantal:
    - Removed debian/patches/fix_migration_012_foreign_keys.patch
    - Removed debian/patches/disable_db_table_auto_create.patch
    - Removed debian/patches/convert_properties_to_uuid.patch
  * debian/control: Add dependency on python-requests
  * debian/control: Add dependency on python-jsonschema
  * debian/control: Add python-keystone as a depends. (LP: #901881)
  * debian/patches/disable-swift-tests.patch: Rediffed

  [ Paul Belanger ]
  * debian/glance-common.postinst
    - Give glance group read permission to /etc/glance (LP: #989205)

 -- Adam Gandelman <adamg@canonical.com>  Thu, 24 May 2012 10:26:57 -0700

glance (2012.1-0ubuntu2) precise; urgency=low

  [ Adam Gandelman ]
  * debian/patches/disable_db_table_auto_create.patch: Disable auto-creation
    of database schema at service start, inspect for consistenty and advise
    running manual migrations instead.
  * debian/patches/fix_migration_012_foreign_keys.patch: Fix a migration issue
    around missing FKs. Cherry-picked from upstream.  Can be dropped with
    first stable update.
  * debian/patches/convert_properties_to_uuid.patch: Fixes migration 012 to
    also convert kernel_id and ramdisk_ids to UUID. Cherry picked from upstream.
    Can be dropped with first stable update (LP: #975651)
  * debian/glance-common.postinst: Clean up, fix purging issue due to poor
    us of conditionals

  [ Chuck Short ]
  * debian/control: Fix upgrades from oneiric to precise. (LP: #974592)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Apr 2012 16:05:44 -0400

glance (2012.1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Apr 2012 10:24:28 -0400

glance (2012.1~rc3-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/control: Add sqlite3 as a Build-Depends (for test suite)

 -- Adam Gandelman <adamg@canonical.com>  Tue, 03 Apr 2012 16:06:52 -0700

glance (2012.1~rc2-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/rules: Fail build if testsuite fails.
  * debian/patches/disable-swift-tests.patch: Disable swift tests that
    require a swift server setup.
  * debian/patches/disable-network-for-docs.patch: Disable network for
    building docs.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 02 Apr 2012 10:52:36 -0400

glance (2012.1~rc1-0ubuntu2) precise; urgency=low

  * New upstream release. This is hopefully the last release before
    final.
  * debian/patches/0001-Fix-depreceated-warnings.patch: Dropped.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 21 Mar 2012 09:47:54 -0400

glance (2012.1~rc1~20120316.1354-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Adam Gandelman <adamg@canonical.com>  Fri, 16 Mar 2012 16:23:34 -0400

glance (2012.1~rc1~20120309.1315-0ubuntu2) precise; urgency=low

  * debian/glance-common.postinst
    - Give adm group read permission to /var/log/glance (LP: #950935)

 -- Paul Belanger <paul.belanger@polybeacon.com>  Fri, 09 Mar 2012 11:04:43 -0500

glance (2012.1~rc1~20120309.1315-0ubuntu1) precise; urgency=low

  * New upstream version.
  * debian/control, debian/glance-client.install,
    glance-common.install: Add glance-client package. (LP: #928378)
  * debian/watch: Fix watch file.
  * Fix lintian warnings.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Mar 2012 11:33:12 -0500

glance (2012.1~e4-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/control: Add python date-util. (LP: #943748)
  * debian/control: Add ca-certificates. (LP: #932800)
  * debian/control: Add python-iso8601 to fix testsuite failures.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 06 Mar 2012 09:30:41 -0500

glance (2012.1~e4~20120224.1290-0ubuntu1) precise; urgency=low

  [ Adam Gandelman ]
  * debian/control: Add new dependency to python-glance: python-iso8601.

  [ Chuck Short ]
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 01 Mar 2012 09:04:54 -0500

glance (2012.1~e4~20120217.1275-0ubuntu1) precise; urgency=low

  [ Chuck Short ]
  * New upstream release.

  [ Dave Walker (Daviey ]
  * debian/patches/fix-broken-unittests.patch: Back out patch as it seems
    to be present in upstream git, but missing in upstream tarballs. Which
    is blocking CI testing.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Feb 2012 09:50:40 -0500

glance (2012.1~e4~20120209.1254-0ubuntu1) precise; urgency=low

  * New upstream version.
  * debian/patches/fix-broken-unittests.patch: Fix broken unittests.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Feb 2012 10:04:58 -0500

glance (2012.1~e3-0ubuntu1) precise; urgency=low

  [Chuck Short]
  * New upstream version.
  * debian/control: Add python-crypto as a build dependency.

  [Adam Gandleman]
  * debian/glance-api.install: Add policy.json

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2012 09:22:37 -0500

glance (2012.1~e3~20120120.1206-0ubuntu1) precise; urgency=low

  [Chuck Short]
  * New upstream release.

  [Adam Gandleman]
  * debian/glance-api.install, glance-registry.install:  Install
    new paste configs that have been split among servers.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 20 Jan 2012 14:37:16 -0500

glance (2012.1~e3~20120112.1060-0ubuntu1) precise; urgency=low

  [Chuck Short]
  * New upstream release.
  * Drop debian/pyversions.
  * debian/glance-api.logrotate, debian/glance-registry.logroate:
    Add logrotate files. (LP: #904216)
  * Update vcs information.
  * Fix up some lintian warnings.

  [Adam Gandleman]
  * debian/control: Drop python-support from Build-Depends
  * debian/python-glance.postinst: Removed. python-support is needed
    for update-python-modules but not a dependency.  Let dh_python2
    generate instead. (LP: #907543)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Jan 2012 10:50:40 +0100

glance (2012.1~e2-0ubuntu4) precise; urgency=low

  * python-glance.postinst: Remove, obsolete call to update-python-modules.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Jan 2012 13:02:24 +0100


glance (2012.1~e2-0ubuntu2) precise; urgency=low

  * debian/glance-registry.postinst: Fix typo in postinst.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Dec 2011 15:57:19 -0500

glance (2012.1~e2-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Merge upstream debian packaging changes.
  * debian/*.upstart: Move upstart jobs to the approiate packages.
  * debian/glance-api.postinst, debian/glance-registry.postinst:
    Move configuration into glance-common.postinst, because it was
    doing the same thing.
  * debian/glance-common.prerm: Dropped, remove cruft.
  * debian/glance-api.prerm: Fixed bashism.
  * debian/glance-registry.prerm: Fixed bashism.
  * debian/glance-common.postinst: Change shell back to /bin/false.
  * debian/glance.dirs, debian/glance-common.dirs: Merged, removed
    unecessary glance.dirs.
  * debian/control: Re-add missing python-dependencies.
  * debian/glance-registry.postinst: Create the database when installing
    glance-registry.
  * debian/glance-common.postin: Re-add approiate permissions.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Dec 2011 14:19:59 -0500

glance (2012.1~e2~20111209.1132-0ubuntu2) precise; urgency=low

  [ Adam Gandelman ]
  * debian/glance.postinst: Specify shell when migrating sqllite
    database as glance user. (LP: #902429)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 12 Dec 2011 10:18:49 -0500

glance (2012.1~e2~20111209.1132-0ubuntu1) precise; urgency=low

  * debian/glance.postinst, debian/glance.glance-api.upstart,
    glance.glance-registry.upstart: Switch shell to /bin/false.
    (LP: #890362)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Dec 2011 15:34:33 -0500

glance (2012.1~e2~20111201.1123-0ubuntu2) precise; urgency=low

  * debian/control: Add dependencies previously removed from python-glance
    to glance package where they are actually required. (LP: #899970).

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 08 Dec 2011 11:23:49 -0500

glance (2012.1~e2~20111201.1123-0ubuntu1) precise; urgency=low

  [Chuck Short]
  * New upstream release.

  [Jay Pipes]
  * Removes now-unnecessary dependencies from client package
  * Rewrote the description for the Glance project to remove
    ancient language about Teller and Parallax.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2011 12:53:54 -0500

glance (2012.1~e2~20111125.1118-0ubuntu1) precise; urgency=low

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Nov 2011 10:53:04 -0500

glance (2012.1~e2~20111117.1112-0ubuntu1) precise; urgency=low

  * New upstrem release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 18 Nov 2011 09:07:13 -0500

glance (2012.1~e1-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Sync with upstream changes.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Nov 2011 13:50:35 -0500

glance (2012.1~e1~20111021.1056-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Dropped patches:
    - debian/patches/lp_845788_glance_client_zero_length.patch
    - debian/patches/lp_850425_remote_swift_image_streaming.patch
  * debian/control:
    - Add dependency on python-httplib2. (LP: #779311)
    - Add dependency on python-paste.
  * debian/patches/sql_conn.patch: Updated for update config file.
  * debian/glance.install: Update for new config files.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 21 Oct 2011 14:11:04 -0400

glance (2011.3-0ubuntu4) oneiric; urgency=low

  [ Adam Gandelman ]
  * debian/glance.postinst: Restrict permissions of /etc/glance/ and
    /var/log/glance/ (LP: #862844)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 30 Sep 2011 16:00:33 -0400

glance (2011.3-0ubuntu3) oneiric; urgency=low

  [Scott Moser]
  * fix bug with glance and swift driver that resulted in zero length
    images.  (LP: #845788)

  [Chuck Short]
  * Make streaming images from swift actually usuable.
    (LP: #850425)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 27 Sep 2011 14:49:05 -0400

glance (2011.3-0ubuntu2) oneiric; urgency=low

  * debian/glance.{postinst,postrm}: Fix syntax error, /dev/null redirect
    typos.  Only remove user/group in .postrm if they exist. (LP: #857021)

 -- Adam Gandelman <adamg@canonical.com>  Thu, 22 Sep 2011 21:03:26 -0700

glance (2011.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/glance.postinst: Add glance group and add glance user to it.
    (LP: #851860)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 22 Sep 2011 10:45:33 -0400

glance (2011.3~rc~20110915.r1007-0ubuntu1) oneiric; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/rules: Dont fail to build because of broken testsuite.

  [ Monty Taylor ]
  * Added branch condition to fix build on lucid.

 -- Monty Taylor <mordred@inaugust.com>  Mon, 19 Sep 2011 13:03:41 -0400

glance (2011.3~rc~20110908.r1005-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Sep 2011 14:59:27 -0400

glance (2011.3~rc~20110831.1002-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Sep 2011 13:50:13 -0400

glance (2011.3~d4-0ubuntu1) oneiric; urgency=low

  [Chuck Short]
  * New upstream release.

  [ Monty Taylor ]
  * New upstream release.
  * Added python-kombu as Depends and Build-depends.

  [ Scott Moser ]
  * glance.postinst: use a trailing slash when using chown on directories

  [ Ben Howard ]
  * Install /etc/glance-scrubber.conf by default (LP: #816972)
  * Remove glance user and logs on purge (LP: #828721)
  * Converted dh to use "--with python2".
  * Incremented standards version to 3.9.2; no changes required

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 26 Aug 2011 10:13:39 -0400

glance (2011.3~d4~20110811.980-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 12 Aug 2011 05:23:21 -0400

glance (2011.3~d3~20110709.152-0ubuntu2) UNRELEASED; urgency=low

  [ Adam Gandelman ]
  * Add python-xattr to Depends of python-glance

  [ Jay Pipes ]
  * Add python-boto to Build-depends.

  [ Dan Prince ]
  * Updates to support glance caching config files and directories.

 -- Monty Taylor <mordred@inaugust.com>  Tue, 02 Aug 2011 08:55:11 -0700

glance (2011.3~d3~20110709.152-0ubuntu1) UNRELEASED; urgency=low

  * New upstream snapshot.
  * Remove python-daemon as a dependency again.
  * Make Vcs-* headers point to the packaging trunk (instead of the
    natty branch).

 -- Soren Hansen <soren@ubuntu.com>  Tue, 12 Jul 2011 21:57:41 +0200

glance (2011.3~d3~20110707.151-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control: python-hashlib

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 08 Jul 2011 12:59:49 -0400

glance (2011.3~d2-0ubuntu2) oneiric; urgency=low

  * debian/control: Add python-httplib2.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 30 Jun 2011 17:42:46 +0100

glance (2011.3~d2-0ubuntu1) oneiric; urgency=low

  [Chuck Short]
  * New upstream release.

  [Adam Gandelman]
  * Remove shell redirects in upstart jobs to ensure correct permissions
    on logfiles. (LP: #784837)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 30 Jun 2011 17:20:19 +0100

glance (2011.3~d1-0ubuntu2) UNRELEASED; urgency=low

  *  debian/control: Dropped python-daemon, its not used anywhere.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 23 Jun 2011 15:37:22 -0400

glance (2011.3~d1-0ubuntu1) oneiric; urgency=low

  * New Upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 02 Jun 2011 09:38:43 -0400

glance (2011.2~bzr132-0ubuntu1) oneiric; urgency=low

  [ Soren Hansen ]
  * Fix accidentally inverted logic that protects against upgrading
    shared databases.
  * Fix the call that is supposed to upgrade the sqlite database.
  * Make sure python modules are completely configured once python-
    glance's postinst is done. (LP: #778463)
  * Make sure doc/build exists once we try to build docs. We remove it
    on clean, and older versions of sphinx do not make sure to create
    it.

  [ Dan Prince ]
  * Add support for DEB_BUILD_OPTIONS=nocheck,nodocs.
  * Updated to support new glance-api.conf and glance-registry.conf files.
  * Updated log file locations in the upstart scripts to match new config
    file defaults.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 25 May 2011 15:57:15 +0200

glance (2011.2-0ubuntu1) natty; urgency=low

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 15 Apr 2011 08:18:16 -0400

glance (2011.2~bzr108-0ubuntu1) natty; urgency=low

  [ Soren Hansen ]
  * Run test suite during build
  * Add pep8 as a build-dependency.
  * Add python-{daemon,eventlet,sqlalchemy} as dependencies of python-
    glance. Add python-argparse as a dependency of glance.
  * Add dependency on python-pastedeploy and python-migrate.
  * Remove deps on Twisted and gflags.
  * Add curl to build-depends. The test suite needs it.
  * Add dep on python-argparse.
  * Build-depend on python-swift. The test suite needs the Swift client.
  * Install glance-api and glance-registry upstart jobs. (LP: #757404)
  * Create and chown /var/log/glance directory on install.
  * Install sample config by default.
  * Create db on install.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 12 Apr 2011 09:52:06 -0400

glance (0.1.3pre~bzr39-0ubuntu1) natty; urgency=low

  * Initial upload.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 19 Jan 2011 12:01:32 +0100
